class StudentTest{
	double[] array1;
	int[] array2=new int[3];

	public static void main(String[] args){
		//使用了Student类的第一个构造方法构造出了一个学生
		Student s1 = new Student();
    		s1.sno="20080101";
    		s1.name="张三";
    		s1.major="计算机";
    		s1.age=18;
    		s1.showInfo();
    
		//使用了Student类的第二个构造方法构造出了另一个学生
		Student s2=new Student("20080102","李四","数学",19);
     		s2.showInfo(); //使用引用访问其成员
		
		int a=new Student().age;//使用匿名对象
		System.out.println(a);

		int b; //声明了一个局部变量
		//System.out.println(b);//错误，使用前没有赋值
	
		long array3=new long[3];//array3的初值为{0L,0L,0L}
		StudentTest t=new StudentTest();
		//StudentTest对象创建后array1的初值为null，而array2的初值为{0,0,0}
		
		for(long e:array3){
			System.out.println(e);//输出0L,0L,0L
		}
		for(long e:t.array2){
			System.out.println(e);//输出0,0,0
		}
		
		System.out.println(t.array1);//输出null
	
    }
}

